import { FC, ReactElement } from "react";
import { IManifest } from "../../types";
import "@react-pdf-viewer/core/lib/styles/index.css";
import "@react-pdf-viewer/default-layout/lib/styles/index.css";
import "@react-pdf-viewer/highlight/lib/styles/index.css";
import "@react-pdf-viewer/search/lib/styles/index.css";
import "@react-pdf-viewer/thumbnail/lib/styles/index.css";
import "@react-pdf-viewer/zoom/lib/styles/index.css";
import "@react-pdf-viewer/bookmark/lib/styles/index.css";
export interface ReaderComponents {
    header?: ReactElement;
    navbar?: ReactElement;
    footer?: ReactElement;
    toc?: ReactElement;
    pageControl?: ReactElement;
    search?: ReactElement;
    notes?: ReactElement;
}
export interface ReaderProps {
    components?: ReaderComponents;
    manifest?: IManifest;
    xhrOptions: Object;
    baseUrl: string;
    onChangeConfig?: any;
    onCreateAnnotation: Function;
    onUpdateAnnotation: Function;
    onDeleteAnnotation: Function;
    onShare?: Function;
    annotations: any;
    onBack?: Function;
    textToSpeech?: Function;
    [key: string]: unknown;
}
declare const EPubReader: FC<ReaderProps>;
export default EPubReader;
